%define shortname rest
%define name lib%{shortname}

%define major           0
%define libname         %mklibname %{shortname} %{major}
%define develname       %mklibname %{shortname} -d

Name: %{name}
Summary: Library for accessing rest web services
Group: System/Libraries
Version: 0.6.1
License: LGPLv2.1
URL: http://moblin.org
Release: %mkrel 5
Source0: http://git.moblin.org/cgit.cgi/%{name}/snapshot/%{name}-%{version}.tar.bz2
Patch0: librest-format.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires: libxml2-devel
BuildRequires: libglib2.0-devel
BuildRequires: libsoup-devel
BuildRequires: gtk-doc

%description
Library for accessing rest web services

%package -n %{libname}
Summary: Library for accessing rest web services
Group: System/Libraries

%description -n %{libname}
Library for accessing rest web services

%package -n %{name}-doc

Summary: Documentation for %{name}
Group: System/Libraries


%description -n %{name}-doc
Documentation for %{name}

%package -n %{develname}

Summary: Development files for %{name}
Group: Development/C

Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel

%description -n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
%patch0 -p1

%build
./autogen.sh
%configure2_5x --enable-gtk-doc
%make

%install
rm -rf %{buildroot}
%makeinstall_std

mkdir -p %{buildroot}/%{_datadir}/doc/%{name}-%{version}
for f in `ls %{buildroot}/%{_datadir}/doc/`; do
	if [ -f %{buildroot}/%{_datadir}/doc/$f ]; then
		mv %{buildroot}/%{_datadir}/doc/$f %{buildroot}/%{_datadir}/doc/%{name}-%{version}
	fi
done

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root,-)
%doc COPYING NEWS README AUTHORS ChangeLog
%{_libdir}/%{name}*.so.%{major}*

%files -n %{name}-doc
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/*

%files -n %{develname}
%defattr(-,root,root,-)
%doc
%{_libdir}/pkgconfig/*.pc
%{_includedir}/rest*/*
%{_libdir}/%{name}*.so
%{_libdir}/%{name}*.a
%{_libdir}/%{name}*.la


%changelog
* Wed Aug 11 2010 Götz Waschk <waschk@mandriva.org> 0.6.1-5mdv2011.0
+ Revision: 568999
- rebuild for new libproxy

* Wed Oct 28 2009 Olivier Blin <oblin@mandriva.com> 0.6.1-4mdv2010.0
+ Revision: 459749
- 0.6.1, with versionned lib and extra lib (from Caio Begotti)

* Mon Oct 05 2009 Olivier Blin <oblin@mandriva.com> 0.6-4mdv2010.0
+ Revision: 454072
- provide librest-devel
- remove useless requires in -devel

* Fri Oct 02 2009 Olivier Blin <oblin@mandriva.com> 0.6-3mdv2010.0
+ Revision: 452555
- fix devel group

* Thu Oct 01 2009 Olivier Blin <oblin@mandriva.com> 0.6-2mdv2010.0
+ Revision: 452386
- fix naming that I broke (funny liblibrest will die)
- use major in file list

* Thu Oct 01 2009 Olivier Blin <oblin@mandriva.com> 0.6-1mdv2010.0
+ Revision: 452264
- include la in devel package
- remove useless exclude
- fix name
- initial import (from Claudio Matsuoka and Caio Begotti, based on Fedora package)
- Created package structure for librest.

